diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index f51c18d..62454e1 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -8908,8 +8908,11 @@ The \verb|$msgdbPrims| variable is set to:
       (if (eq (getdatabase expr 'constructorkind) '|domain|)
        (|sayMSG| (|concat| "   " label labmode rhs (|form2String| expr)))
        (|mathprint|
-        (list  'concat label
-         (append labmode (list rhs (|outputFormat| expr (|objMode| u)))))))
+        (cons 'concat
+         (cons label
+          (append labmode
+           (cons rhs
+            (cons (|outputFormat| expr (|objMode| u)) nil)))))))
        nil))))))
 
 @
diff --git a/changelog b/changelog
index 05aa4cf..315f62c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100114 tpd src/axiom-website/patches.html 20100114.01.tpd.patch
+20100114 tpd books/bookvol5 fix )display all output bug
 20100112 tpd src/axiom-website/patches.html 20100112.02.tpd.patch
 20100112 tpd src/input/r20bugs.input fix broken test case
 20100112 lxd src/axiom-website/patches.html 20100112.01.lxd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b8fb2cb..477c5e8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2362,5 +2362,7 @@ src/input/fixed fix typo<br/>
 books/bookvol0,vol1,vol7.1 fix typos<br/>
 <a href="patches/20100112.02.tpd.patch">20100112.02.tpd.patch</a>
 src/input/r20bugs.input fix broken test case<br/>
+<a href="patches/20100114.01.tpd.patch">20100114.01.tpd.patch</a>
+books/bookvol5 fix )display all output bug<br/>
  </body>
 </html>
